Subject: RE: Can't delete file
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: "'Cygwin Mail List'" <[email-masked]>
Date: Tue, 20 Jan 2004 10:47:22 -0000

> -----Original Message-----
> From: Aurangzeb M. Agha 

> Dave --
> 
> That worked!  Thank goodness, I thought I'd have to live with 
> an unwanted folder forever.

  Hooray!
 
> I'm curious--was what you suggested possible just because I was lucky?
> What if the names of the files had been even longer; would 
> your suggestion not have worked?!
> 
> Thanks so much.
> 
> Sincerely,
> 
> Zeb

  Yep, it could have been the case.  It's a known class of bugs in software:
when special characters need to be escaped, the effect of doing so is to
lengthen any string, such as a filename, that contains them, thereby
sometimes making them longer than some presupposed limit somewhere in the
software or operating system.  (It's also a known cause of network security
holes through buffer overflows in server software.)  If there had been a
whole load more at and ampersand signs in that filename, you might have had
to get *real* tricky with it :)  Fortunately, reducing the left-hand part of
the path did the job.  Glad to help!

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/